name = Dist-Zilla-Plugin-Test-Kwalitee
author = Marcel Gruenauer <marcel@cpan.org>
author = Harley Pig <harleypig@gmail.com>
author = Caleb Cushing <xenoterracide@gmail.com>
author = Kent Fredric <kentfredric@gmail.com>
author = Karen Etheridge <ether@cpan.org>
license = Perl_5
copyright_holder = Marcel Gruenauer
copyright_year = 2010

; test our own dist with the new version we are about to release
[Bootstrap::lib]

[@Author::ETHER]
version = 0.094
Authority.authority = cpan:MARCEL
Test::ReportPrereqs.include[0] = Module::CPANTS::Analyse
Test::ReportPrereqs.include[1] = CPAN::Meta::Validator
Test::MinimumVersion.max_target_perl = 5.008003

[Prereqs / DevelopRequires]
Test::Warnings = 0

[Prereqs / DevelopRecommends]
Test::Perl::Critic = 0

[GenerateFile / test_prereq]
filename = t/prereqs.t
content_is_template = 1
content = # generated from dist.ini
content = use strict;
content = use warnings;
content = use Test::More tests => 1;
content = use Test::Kwalitee {{ require Dist::Zilla::Plugin::Test::Kwalitee; Dist::Zilla::Plugin::Test::Kwalitee->_tk_prereq }} ();
content = pass('all is good!');

[Prereqs / RuntimeRequires]
Dist::Zilla = 4.300039  ; v2 meta-compliant license field

[Test::Perl::Critic]    ; FIXME should inject develop prereqs

[MetaResources]
x_IRC = irc://irc.perl.org/#distzilla
x_MailingList = http://dzil.org/#mailing-list

[Test::CheckBreaks]
conflicts_module = Moose::Conflicts